summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-vim/lustyexplorer')
-rw-r--r--app-vim/lustyexplorer/Manifest2
-rw-r--r--app-vim/lustyexplorer/lustyexplorer-4.1.ebuild27
-rw-r--r--app-vim/lustyexplorer/lustyexplorer-4.3.ebuild27
-rw-r--r--app-vim/lustyexplorer/metadata.xml5
4 files changed, 61 insertions, 0 deletions
diff --git a/app-vim/lustyexplorer/Manifest b/app-vim/lustyexplorer/Manifest
new file mode 100644
index 00000000000..9cf1268c746
--- /dev/null
+++ b/app-vim/lustyexplorer/Manifest
@@ -0,0 +1,2 @@
+DIST lustyexplorer-4.1.tar.bz2 17098 SHA256 7030fa17b5f51afda72184382eb9a211dd5de16d4c5541d0a1b6a8e588e39f38 SHA512 2f9af8c40f93333a4a734722a6ac6532fc05719165d730ac10bb0b3096a769a7a5fc2bb02fe0f457563b9ada69474265b1de6d5b3e2d9ca30503a704be496a86 WHIRLPOOL b558dd70212ad3dec6b49f7a80fecf3b24bff39ad983e527fe217f61c1a47f292ded8155856e751b0726d3815e8e7950371686a173a89b87e94426cb48884183
+DIST lustyexplorer-4.3.tar.bz2 17373 SHA256 acfd2e16778e653d75ff6d5823d799f27de1a7af2045eb09788798659b1024a0 SHA512 24ffa1fe5c1698dfa6093c7cfed2f08540ce130258df5e8ec135356ecea4c1f607f11e643ab859f551e63ecbbf6fc8a615a9514e1d4798b752cc97146c29c661 WHIRLPOOL ab55b1450c2cfb1ef434fa51f9959691b4ffaf3414dae1f0ba43a4eba720054886414bce3bd9136334b79c932f10529dce9c7cb9dadf6fc08f523394530f029c
diff --git a/app-vim/lustyexplorer/lustyexplorer-4.1.ebuild b/app-vim/lustyexplorer/lustyexplorer-4.1.ebuild
new file mode 100644
index 00000000000..12e65434ed2
--- /dev/null
+++ b/app-vim/lustyexplorer/lustyexplorer-4.1.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+inherit vim-plugin
+
+DESCRIPTION="vim plugin: dynamic filesystem and buffer explorer"
+HOMEPAGE="http://www.vim.org/scripts/script.php?script_id=1890"
+LICENSE="bufexplorer.vim"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+VIM_PLUGIN_HELPFILES="lusty-explorer.txt"
+
+RDEPEND="|| ( app-editors/vim[ruby] app-editors/gvim[ruby] )"
+
+src_prepare() {
+ # There's good documentation included with the script, but it's not
+ # in a helpfile. Since there's rather too much information to include
+ # in a VIM_PLUGIN_HELPTEXT, we'll sed ourselves a help doc.
+ mkdir "${S}"/doc
+ sed -e '0,/"$/d' -e '/" GetLatest.\+$/,9999d' -e 's/^" \?//' \
+ -e "s/\(Name Of File: \)\([^.]\+\)\.vim/\1*\2.txt*/" \
+ plugin/lusty-explorer.vim > doc/lusty-explorer.txt
+}
diff --git a/app-vim/lustyexplorer/lustyexplorer-4.3.ebuild b/app-vim/lustyexplorer/lustyexplorer-4.3.ebuild
new file mode 100644
index 00000000000..12e65434ed2
--- /dev/null
+++ b/app-vim/lustyexplorer/lustyexplorer-4.3.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+inherit vim-plugin
+
+DESCRIPTION="vim plugin: dynamic filesystem and buffer explorer"
+HOMEPAGE="http://www.vim.org/scripts/script.php?script_id=1890"
+LICENSE="bufexplorer.vim"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+VIM_PLUGIN_HELPFILES="lusty-explorer.txt"
+
+RDEPEND="|| ( app-editors/vim[ruby] app-editors/gvim[ruby] )"
+
+src_prepare() {
+ # There's good documentation included with the script, but it's not
+ # in a helpfile. Since there's rather too much information to include
+ # in a VIM_PLUGIN_HELPTEXT, we'll sed ourselves a help doc.
+ mkdir "${S}"/doc
+ sed -e '0,/"$/d' -e '/" GetLatest.\+$/,9999d' -e 's/^" \?//' \
+ -e "s/\(Name Of File: \)\([^.]\+\)\.vim/\1*\2.txt*/" \
+ plugin/lusty-explorer.vim > doc/lusty-explorer.txt
+}
diff --git a/app-vim/lustyexplorer/metadata.xml b/app-vim/lustyexplorer/metadata.xml
new file mode 100644
index 00000000000..d221a8d4b42
--- /dev/null
+++ b/app-vim/lustyexplorer/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>vim</herd>
+</pkgmetadata>